package tech.nevets.tvpn.cli.commands

import tech.nevets.tvpn.cli.Command
import tech.nevets.tvpn.wg.WireGuardJNI
import kotlin.system.exitProcess

class VersionCmd : Command {
    override fun execute(args: Array<String>) {
        println("Version: 0.3.1")
        print("WireGuard Version: ")
        WireGuardJNI().getWGVersion()
        exitProcess(0)
    }

    override fun getName(): String {
        return "version"
    }

    override fun getUsage(): String {
        return ""
    }

    override fun getDescription(): String {
        return "Shows the current running version."
    }
}